ありゃ、そうなんですか。
やはり単純に break できた方が直感的ですよね。

bugs.ruby-lang.org への登録、この後やってみます。


2015年4月29日水曜日、Nobuyoshi Nakada<nobu / ruby-lang.org>さんは書きました:

> なかだです。
>
> 2015年4月29日水曜日、増田悦久<uta2ne / gmail.com
> <javascript:_e(%7B%7D,'cvml','uta2ne / gmail.com');>>さんは書きました:
>
>> マスダといいます。
>>
>> Rubyを v1.8.7 より v2.1.0 へアップデートしてみたところ、以下のスクリ
>> プトの break でLocalJumpErrorが出てしまいます。
>> 何か他のイテレータの脱出方法があるんでしょうか?
>>
>
> バグっぽい気がします。
> 後で調べますが、bugs.ruby-lang.orgに登録しておいてもらえると助かります。
>